<?php
/**
 * Include function of above the fold css
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
function above_the_fold_css(){
    require_once(ABSPATH . 'wp-admin/includes/file.php');
    if ( WP_Filesystem() ) {
        global $wp_filesystem;
        $css = $wp_filesystem->get_contents(leapin_get_css_file('above-the-fold.css'));
    }
    if(!empty($css)){
        echo sprintf('<style id="leapin-above-the-fold-css">%s</style>',  $css);
    }
}
add_action('wp_head', 'above_the_fold_css', 1);
