<?php
/**
 * Include module of above the fold js
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
function above_the_fold_js()
{
    require_once(ABSPATH . 'wp-admin/includes/file.php');
    if (WP_Filesystem()) {
        global $wp_filesystem;
        $js = $wp_filesystem->get_contents(leapin_get_js_file('above-the-fold.js'));
    }
    if (!empty($js)) {
        echo sprintf('<script id="leapin-above-the-fold-js">%s</script>', $js);
    }
}
add_action('wp_footer', 'above_the_fold_js', 1);
