<?php
/**
 * archive-content.php
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
<?php
global $wp_query;
if (have_posts()) : //while (have_posts()) : the_post();
    ?>

    <?php

    $q_object = get_queried_object();

    $instance = ['layout_type' => 'tile_ver1'
        , 'posts_per_page' => 10
        , 'show_taxonomy' => 'category'
        , 'show_date' => true
        , 'more' => true
    ];
    if (is_year()) {
        $instance['year'] = $wp_query->query_vars['year'];

    } elseif (is_month()) {
        $instance['year'] = $wp_query->query_vars['year'];
        $instance['month'] = $wp_query->query_vars['monthnum'];

    } elseif (is_day()) {
        $instance['year'] = $wp_query->query_vars['year'];
        $instance['month'] = $wp_query->query_vars['monthnum'];
        $instance['day'] = $wp_query->query_vars['day'];

    } elseif (is_author()) {
        $instance['author'] = $wp_query->query_vars['author'];

    } elseif (is_post_type_archive()) {
        $instance['post_type'] = $wp_query->query_vars['post_type'];
    } elseif (is_search()) {
        $instance['s'] = $wp_query->query_vars['s'];
    } else {
        $instance['post_type'] = $wp_query->query_vars['post_type'];
        if (isset($q_object)) {
            $instance['taxonomy'] = $q_object->taxonomy;
            $instance['term_ids_or_slugs'] = $q_object->term_id;
        }
    }
    if(isset($specify) && is_array($specify)){
        $instance = array_merge($instance, $specify);
    }
    $cq = new LEAPIN_Query($instance, [], $wp_query);
    $cq->ajax_or_print();
    ?>

<?php else : ?>

    <?php get_template_part('inc/template_parts/not_found'); ?>

<?php endif; ?>
