<?php
/**
 * search form template
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
<?php
global $leapin_vars;
if(array_key_exists('search_form_count', $leapin_vars)){
    $search_form_count = ++$leapin_vars['search_form_count'];
}else{
    $search_form_count = 1;
    $leapin_vars['search_form_count'] = $search_form_count;
} ?>
<div class="searchform-container" itemscope itemtype="http://schema.org/WebSite">
    <meta itemprop="url" content="<?php echo leapin_get_home_url(); ?>"/>
    <form role="search" method="get" class="searchform" action="<?php echo leapin_get_home_url(); ?>" itemprop="potentialAction" itemscope itemtype="http://schema.org/SearchAction">
        <meta itemprop="target" content="<?php echo leapin_get_home_url(); ?>?s={s}"/>
        <label for="search-input-<?php echo $search_form_count;?>"><i class="fas fa-search"></i></label>
        <input id="search-input-<?php echo $search_form_count;?>" class="search-input" itemprop="query-input" type="search" name="s" value="" required/>
        <input type="submit" class="searchsubmit" />
    </form>
</div>
